<html>
<head>
<meta charset="utf-8"/>
<title>Login/logout</title>
<header>
<h1>Anagram Engine</h1>
</head>

<body>

{% if user %}

	<p>{{ welcome_message }} {{ user.email() }} welcome to the application</p>
	<p>you can {{ url_string }} <a href='{{ url }}'> here</a></p>
</header>

<section>

  <form action= '/add' type='submit'>
    <p>Add a new word </p>
  </br>
    <input type='submit' name= 'button' value='Add New'></input>

  </form>


</section>

<section>

  <form action= '/' method = 'GET' type='submit'>
    <p>Search Anagrams</p>
    <input type='text' name = 'search_anagram' id= 'search_anagram'></input>
  </br>
    <input type='submit' name = 'button' value='Search' onclick='return check_empty();'></input>
    <input type='submit' name = 'button' value='View All'></input>

  </form>

  <form action= '/subanagram' method = 'GET' type='submit'>
    <p>Search Sub Anagrams</p>
  <input type='submit' name = 'button' value='Search'></input>
  </br>

  </form>

</section>


<section>
  <h3>{{display_string}}</h3>

  <table>
{%if display_string == 'All Results'%}
  <h4> Total Words : {{word_count}}</h4>
  <h4> Unique Anagrams : {{anagram_count}} </h4>
  
  {%for keys in template_debug %}
    <tr>
      <td>{{ keys.key.id() }}</td>
  
      {% for x in keys.anagram_list %}

      <td>{{x}}</td>

      {%endfor%}
    </tr>

  {%endfor%}
  </table>

{%else%}
  
  {%if display_string == 'Search Results:' %}
    <table>
    <tr>
        <td>{{search_result_final.key.id()}}</td>
        
        {% for x in search_result_final.anagram_list %}

        <td>{{x}} </td>
        {%endfor%}
    </tr>

      
    </table>  
  {%endif%}

{%endif%}

</section>





{% else %}

<p>Hello guest welcome to the application</p>

<p>you can {{ url_string }} <a href='{{ url }}'>here</a></p>

{% endif %}

<script type="text/javascript">
  
function check_empty(){
  
  var input=document.getElementsByName('search_anagram')[0].value
      var letters = /^[A-Za-z]+$/;
      if(input.match(letters))
      {
      
        return true;
      }
      else
      {
        alert('Please input alphabet characters only');
      return false;
      }
      
  // return false;

}
</script>

</section>
</body>
</html>


<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}
	
nav {
  float: left;
  width: 40%;
  background: #ccc;
  padding: 20px;
  height: 300px;
}

article {
  float: left;
  padding: 30px;
  width: 47%;
  background-color: #f1f1f1;
  
}

section:after {
  content: "";
  display: table;
  clear: both;
}

</style>